[
	{
		"architecture": "amd64",
		"features": null,
		"variant": null,
		"digest": "sha256:2bccc575ead8a3987dca7d692ee8bcc43c68b39dd5373d025affd70e91a7be44",
		"layers": [
			{
				"digest": "sha256:57df1a1f1ad841deaf50c8f662d77e93b4b17af776ed66148116607f9aceffa8",
				"size": 50395913,
				"instruction": "ADD file:07a6578d6f507bd9c51bdf4fe41402db5dcf3b9fdf51cd4315778c27da1add39 in / "
			},
			{
				"size": 0,
				"instruction": " CMD [\"bash\"]"
			},
			{
				"digest": "sha256:71e126169501d71bbbd0d3c8d9f35836c41660869fe8432ac606341ed21f7adb",
				"size": 7811567,
				"instruction": "/bin/sh -c apt-get update && apt-get install -y --no-install-recommends \t\tca-certificates \t\tcurl \t\tnetbase \t\twget \t&& rm -rf /var/lib/apt/lists/*"
			},
			{
				"digest": "sha256:1af28a55c3f320826db8df3146a2c198f9042877ef679f9e32210aa9a7fac9ef",
				"size": 9996317,
				"instruction": "/bin/sh -c set -ex; \tif ! command -v gpg > /dev/null; then \t\tapt-get update; \t\tapt-get install -y --no-install-recommends \t\t\tgnupg \t\t\tdirmngr \t\t; \t\trm -rf /var/lib/apt/lists/*; \tfi"
			},
			{
				"digest": "sha256:03f1c9932170e54fface2382b2550b8052ae3d41f27e66ea1294e2055dd2b2e7",
				"size": 51829661,
				"instruction": "/bin/sh -c apt-get update && apt-get install -y --no-install-recommends \t\tgit \t\tmercurial \t\topenssh-client \t\tsubversion \t\t\t\tprocps \t&& rm -rf /var/lib/apt/lists/*"
			},
			{
				"digest": "sha256:65b3db15f518f11e53c95664d0675a5d78a5329d18d5316a406c2a45907a0723",
				"size": 192249513,
				"instruction": "/bin/sh -c set -ex; \tapt-get update; \tapt-get install -y --no-install-recommends \t\tautoconf \t\tautomake \t\tbzip2 \t\tdpkg-dev \t\tfile \t\tg++ \t\tgcc \t\timagemagick \t\tlibbz2-dev \t\tlibc6-dev \t\tlibcurl4-openssl-dev \t\tlibdb-dev \t\tlibevent-dev \t\tlibffi-dev \t\tlibgdbm-dev \t\tlibglib2.0-dev \t\tlibgmp-dev \t\tlibjpeg-dev \t\tlibkrb5-dev \t\tliblzma-dev \t\tlibmagickcore-dev \t\tlibmagickwand-dev \t\tlibmaxminddb-dev \t\tlibncurses5-dev \t\tlibncursesw5-dev \t\tlibpng-dev \t\tlibpq-dev \t\tlibreadline-dev \t\tlibsqlite3-dev \t\tlibssl-dev \t\tlibtool \t\tlibwebp-dev \t\tlibxml2-dev \t\tlibxslt-dev \t\tlibyaml-dev \t\tmake \t\tpatch \t\tunzip \t\txz-utils \t\tzlib1g-dev \t\t\t\t$( \t\t\tif apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then \t\t\t\techo 'default-libmysqlclient-dev'; \t\t\telse \t\t\t\techo 'libmysqlclient-dev'; \t\t\tfi \t\t) \t; \trm -rf /var/lib/apt/lists/*"
			},
			{
				"size": 0,
				"instruction": " ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin"
			},
			{
				"size": 0,
				"instruction": " ENV LANG=C.UTF-8"
			},
			{
				"digest": "sha256:3e3b8947ed83f2a39a813e0a9172cfdd571d4c943228a74e833af60e7536cac5",
				"size": 6145377,
				"instruction": "/bin/sh -c apt-get update && apt-get install -y --no-install-recommends \t\tlibbluetooth-dev \t\ttk-dev \t\tuuid-dev \t&& rm -rf /var/lib/apt/lists/*"
			},
			{
				"size": 0,
				"instruction": " ENV GPG_KEY=E3FF2839C048B25C084DEBE9B26995E310250568"
			},
			{
				"size": 0,
				"instruction": " ENV PYTHON_VERSION=3.8.5"
			},
			{
				"digest": "sha256:a4850b8bdbb7b624a1aaf5892b7409d5ae64f8dfdbb19e3017cf6e7fbbfb0ef9",
				"size": 17998369,
				"instruction": "/bin/sh -c set -ex \t\t&& wget -O python.tar.xz \"https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz\" \t&& wget -O python.tar.xz.asc \"https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc\" \t&& export GNUPGHOME=\"$(mktemp -d)\" \t&& gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys \"$GPG_KEY\" \t&& gpg --batch --verify python.tar.xz.asc python.tar.xz \t&& { command -v gpgconf > /dev/null && gpgconf --kill all || :; } \t&& rm -rf \"$GNUPGHOME\" python.tar.xz.asc \t&& mkdir -p /usr/src/python \t&& tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz \t&& rm python.tar.xz \t\t&& cd /usr/src/python \t&& gnuArch=\"$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)\" \t&& ./configure \t\t--build=\"$gnuArch\" \t\t--enable-loadable-sqlite-extensions \t\t--enable-optimizations \t\t--enable-option-checking=fatal \t\t--enable-shared \t\t--with-system-expat \t\t--with-system-ffi \t\t--without-ensurepip \t&& make -j \"$(nproc)\" \t&& make install \t&& rm -rf /usr/src/python \t\t&& find /usr/local -depth \t\t\\( \t\t\t\\( -type d -a \\( -name test -o -name tests -o -name idle_test \\) \\) \t\t\t-o \\( -type f -a \\( -name '*.pyc' -o -name '*.pyo' -o -name '*.a' \\) \\) \t\t\t-o \\( -type f -a -name 'wininst-*.exe' \\) \t\t\\) -exec rm -rf '{}' + \t\t&& ldconfig \t\t&& python3 --version"
			},
			{
				"digest": "sha256:41653399496823f7855fe3bf2725fe0a1b79f2da59db9f3b8d5d9a5177c896ae",
				"size": 233,
				"instruction": "/bin/sh -c cd /usr/local/bin \t&& ln -s idle3 idle \t&& ln -s pydoc3 pydoc \t&& ln -s python3 python \t&& ln -s python3-config python-config"
			},
			{
				"size": 0,
				"instruction": " ENV PYTHON_PIP_VERSION=20.2.3"
			},
			{
				"size": 0,
				"instruction": " ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/fa7dc83944936bf09a0e4cb5d5ec852c0d256599/get-pip.py"
			},
			{
				"size": 0,
				"instruction": " ENV PYTHON_GET_PIP_SHA256=6e0bb0a2c2533361d7f297ed547237caf1b7507f197835974c0dd7eba998c53c"
			},
			{
				"digest": "sha256:1b580f9ce4cedf9f911da821c8445cd807bc29a7ab3cc62937b87604138dbfa8",
				"size": 2119419,
				"instruction": "/bin/sh -c set -ex; \t\twget -O get-pip.py \"$PYTHON_GET_PIP_URL\"; \techo \"$PYTHON_GET_PIP_SHA256 *get-pip.py\" | sha256sum --check --strict -; \t\tpython get-pip.py \t\t--disable-pip-version-check \t\t--no-cache-dir \t\t\"pip==$PYTHON_PIP_VERSION\" \t; \tpip --version; \t\tfind /usr/local -depth \t\t\\( \t\t\t\\( -type d -a \\( -name test -o -name tests -o -name idle_test \\) \\) \t\t\t-o \t\t\t\\( -type f -a \\( -name '*.pyc' -o -name '*.pyo' \\) \\) \t\t\\) -exec rm -rf '{}' +; \trm -f get-pip.py"
			},
			{
				"size": 0,
				"instruction": " CMD [\"python3\"]"
			},
			{
				"size": 0,
				"instruction": " ARG VERSION=20190803.01"
			},
			{
				"size": 0,
				"instruction": " ARG wget_lua=http://xor.meo.ws/bvj4ouZsnftrFk-oRZp0hfP-3Tan5H-z/wget-lua"
			},
			{
				"size": 0,
				"instruction": " ENV LC_ALL=C"
			},
			{
				"digest": "sha256:112d3c4c29c93c57de0b348a39deaadc7723662dc02032b81033038d1df819ec",
				"size": 15159654,
				"instruction": "|2 VERSION=20190803.01 wget_lua=http://xor.meo.ws/bvj4ouZsnftrFk-oRZp0hfP-3Tan5H-z/wget-lua /bin/sh -c echo deb http://deb.debian.org/debian buster-backports main contrib > /etc/apt/sources.list.d/backports.list  && DEBIAN_FRONTEND=noninteractive DEBIAN_PRIORITY=critical apt-get -qqy --no-install-recommends -o Dpkg::Options::=--force-confdef -o Dpkg::Options::=--force-confold -o Dpkg::Options::=--force-unsafe-io update  && DEBIAN_FRONTEND=noninteractive DEBIAN_PRIORITY=critical apt-get -qqy --no-install-recommends -o Dpkg::Options::=--force-confdef -o Dpkg::Options::=--force-confold -o Dpkg::Options::=--force-unsafe-io install rsync liblua5.1-0 libluajit-5.1-2 libidn11 lua-socket  && DEBIAN_FRONTEND=noninteractive DEBIAN_PRIORITY=critical apt-get -qqy --no-install-recommends -o Dpkg::Options::=--force-confdef -o Dpkg::Options::=--force-confold -o Dpkg::Options::=--force-unsafe-io -t buster-backports install zstd libzstd-dev libzstd1  && pip install requests seesaw zstandard  && wget \"${wget_lua}\" -O /usr/local/bin/wget-lua  && chmod +x /usr/local/bin/wget-lua  && rm -rf /var/lib/apt/lists/*"
			},
			{
				"digest": "sha256:7c80e1fa56ef43f8e012bfb982788afe906a1e5cac2cc87dc307a1c376aa74f3",
				"size": 93,
				"instruction": "WORKDIR /grab"
			},
			{
				"size": 0,
				"instruction": " STOPSIGNAL SIGINT"
			},
			{
				"size": 0,
				"instruction": " ENTRYPOINT [\"run-pipeline3\" \"--disable-web-server\" \"pipeline.py\"]"
			},
			{
				"digest": "sha256:2dbac3ba6deca119b8c63326d2644d26ef1a27846fc42904f5e29214521afce1",
				"size": 58249,
				"instruction": "COPY dir:e7db9d6e2c7d9455fa5cb8a75918994482dc05b0d99915ccf7ba765a1637991e in /grab "
			},
			{
				"digest": "sha256:b9ae6b60d44890e1acbdaf9b444c52caf286d0130d829cb083264e2eeb3785fe",
				"size": 143,
				"instruction": "/bin/sh -c ln -fs /usr/local/bin/wget-lua /grab/wget-at"
			}
		],
		"os": "linux",
		"os_features": null,
		"os_version": null,
		"size": 353764508,
		"status": "active",
		"last_pulled": "2021-02-09T20:45:19.121077Z",
		"last_pushed": "2020-09-22T15:42:00.746382Z"
	}
]